#!/bin/bash
devname=$1
bus=$(ethtool -i $1 | grep "bus-info"| awk '{print $NF}')
if [ "$bus" = "" ]; then
	echo "[-] Parameter $1 error!"
	exit 1
fi
drvname=$(ethtool -i $1 | grep "driver"| awk '{print $NF}')
str=''
#if [[ "$#" -gt 2 ]]; then
	for i in $(seq "$#"); do
		if [[ "$i" -gt 1 ]]; then
			str="$str ${!i}"
		fi
	done
#fi
filepath=$(find /sys/kernel/debug/$drvname/$bus -name "command")
curr_line=$(dmesg | grep -n "" | wc -l)
echo $str > $filepath 
last_line=$(dmesg | grep -n "" | wc -l)
let tail_line=last_line-curr_line
dmesg | tail -n $tail_line
