/* SPDX-License-Identifier: GPL-2.0 */
/* Copyright(c) 2020 - 2023, Chengdu BeiZhongWangXin Technology Co., Ltd. */
#ifndef _NE6X_COMMON_H
#define _NE6X_COMMON_H
#include <stdint.h>

typedef struct netlink_state {
	uint32_t readData[64];
	uint64_t writeData;
} netlink_state_t;

typedef enum MsgType
{
	WhiteList_Add = 16,
	WhiteList_RM,
	METER_WRITE,
	TEMPL_WRITE,
	TEMPL_READ,
} MsgType_t;

#endif